
#declare T_Stone1 = material {
  texture {   
    pigment {
      granite
      color_map {
        [ 0.0     rgbft <0.439, 0.31, 0.282, 0.0, 0.0> ]
        [ 0.153   rgbft <0.463, 0.369, 0.259, 0.0, 0.0> ]
        [ 0.398   rgbft <0.541, 0.369, 0.298, 0.0, 0.0> ]
        [ 0.559   rgbft <0.573, 0.424, 0.286, 0.0, 0.0> ]
        [ 0.729   rgbft <0.494, 0.396, 0.306, 0.0, 0.0> ]
        [ 1.0     rgbft <0.439, 0.31, 0.282, 0.0, 0.0> ]
      }
      turbulence 0.5
      ramp_wave
    }
  }
  texture {   
    pigment {
      granite
      color_map {
        [ 0.0     rgbft <0.729, 0.502, 0.451, 0.306, 0.0> ]
        [ 0.153   rgbft <0.769, 0.686, 0.592, 0.792, 0.0> ]
        [ 0.398   rgbft <0.843, 0.753, 0.718, 0.396, 0.0> ]
        [ 0.559   rgbft <0.78, 0.667, 0.561, 0.976, 0.0> ]
        [ 0.729   rgbft <0.741, 0.659, 0.576, 0.82, 0.0> ]
        [ 1.0     rgbft <0.729, 0.502, 0.451, 0.306, 0.0> ]
      }
      turbulence 0.6
      ramp_wave
    }   
    finish {
      ambient 0.1
      phong 1.0
      phong_size 90.0
    }
  }
}

#declare BlueCinderBlock =  material {   
  texture{
    brick
    texture {            
      pigment { color rgb <0.56, 0.64, 0.64> }            
      normal { granite , 0.2 }            
      finish {
        ambient 0.4
        diffuse 0.5
      }
    }
    texture {            
      pigment { color rgb <0.56, 0.64, 0.64> }            
      normal {
        wrinkles , 0.3
        scale  0.3
      }            
      finish {
        ambient 0.4
        diffuse 0.5
      }
    }
    scale  0.5
    mortar 0.15
  }
}

#declare BasicBlack = material {   
  texture { pigment { color rgb <0.05, 0.05, 0.05> } }
}

#declare ChromeTexture = material {   
  texture {      
    pigment { color rgb <0.9375, 0.9375, 0.9375> }      
    finish {
      ambient 0.3
      diffuse 0.7482
      brilliance 10.0
      phong 0.568333
      phong_size 20.0
      reflection 0.273367
    }
  }
}

#declare Brushed_Aluminum = material {   
  texture {      
    pigment { color rgb <0.958333, 0.958333, 0.958333> }      
    normal {
      bumps , -0.04
      scale  <1.0, 0.001, 0.001>
    }      
    finish {
      ambient 0.3
      diffuse 0.805733
      brilliance 8.0
      specular 0.8
      roughness 0.1
      reflection 0.15
    }
  }
}

#declare Steel = material {   
  texture {      
    pigment { color rgb <0.724674, 0.701718, 0.671126> }      
    normal {
      wrinkles , 0.03
      scale  0.5
    }      
    finish {
      ambient 0.3
      diffuse 0.812933
      brilliance 20.0
      phong 0.4892
      phong_size 48.343333
      specular 1.0
      roughness 0.001
      reflection 0.2158
    }
  }
}

#declare RubberMat =  material {   
  texture {      
    pigment {
      bumps
      color_map {
        [ 0.0     rgbft <0.093733, 0.093733, 0.093733, 0.0, 0.0> ]
        [ 1.0     rgbft <0.291667, 0.291667, 0.291667, 0.0, 0.0> ]
      }
    }      
    normal { wrinkles , 0.5 }      
    finish {
      ambient 0.3
      diffuse 0.7
    }      
    scale  0.01
  }
}

#declare SmearedChrome = material {
  texture {   
    pigment { color rgb <0.9375, 0.9375, 0.9375> }   
    finish {
      ambient 0.3
      diffuse 0.7482
      brilliance 10.0
      phong 0.568333
      phong_size 20.0
      reflection 0.273367
    }
  }
  texture {   
    pigment {
      bozo
      color_map {
        [ 0.0     rgbft <0.0, 0.0, 0.0, 0.0, 1.0> ]
        [ 1.0     rgbft <0.817481, 0.787586, 0.578319, 0.0, 0.0> ]
      }
    }   
    scale  <0.2, 0.4, 0.4>
  }
}

#declare YellowMetal =  material {   
  texture {      
    pigment { color rgb <0.970052, 0.857747, 0.071615> }      
    normal {
      dents , 0.15
      scale  0.3
    }      
    finish {
      ambient 0.2
      diffuse 0.8561
      brilliance 6.0
      phong 0.625867
      phong_size 46.356667
      metallic 1.0
    }
  }
}

#declare Belt_Mat = material {   
  texture {      
    pigment {
      wrinkles color_map {
        [ 0.0     rgbft <0.302067, 0.302067, 0.302067, 0.0, 0.0> ]
        [ 0.174377  rgbft <0.093733, 0.093733, 0.093733, 0.0, 0.0> ]
        [ 0.604982  rgbft <0.0104, 0.0104, 0.0104, 0.0, 0.0> ]
        [ 1.0     rgbft <0.0, 0.0, 0.0, 0.0, 0.0> ]
      }
      scale  <0.3, 10.0, 1.0>
    }      
    normal { wrinkles , 0.5 }      
    finish {
      ambient 0.3
      phong 0.3741
      phong_size 28.476667
    }
  }
}

